A valid request URL is required to generate request examples{
"buckets": [
{
"timestamp": "2023-11-07T05:31:56Z",
"total_cost": 123,
"by_dimension": {}
}
],
"bucket_size_seconds": 123,
"dimension_values": [
"<string>"
]
}Get cost histogram by dimension
Returns time-bucketed cost data grouped by an arbitrary dimension
(provider, team_id, customer_id, user_id, business_unit_id).
The dimension is supplied via the required dimension query parameter.
A valid request URL is required to generate request examples{
"buckets": [
{
"timestamp": "2023-11-07T05:31:56Z",
"total_cost": 123,
"by_dimension": {}
}
],
"bucket_size_seconds": 123,
"dimension_values": [
"<string>"
]
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Query Parameters
Grouping dimension
Grouping dimension for dimension-aware histograms. Used by the
/api/logs/histogram/{cost,tokens,latency}/by-dimension endpoints.
provider, team_id, customer_id, user_id, business_unit_id Comma-separated list of providers to filter by
Comma-separated list of models to filter by
Comma-separated list of statuses to filter by
Comma-separated list of object types to filter by
Comma-separated list of selected key IDs to filter by
Comma-separated list of virtual key IDs to filter by
Comma-separated list of routing rule IDs to filter by
Comma-separated list of routing engines to filter by
Start time filter (RFC3339 format)
End time filter (RFC3339 format)
Minimum latency filter
Maximum latency filter
Minimum tokens filter
Maximum tokens filter
Minimum cost filter
Maximum cost filter
Only show logs with missing cost
Search in request/response content
Response
Dimension cost histogram retrieved successfully
Dimension-grouped cost histogram result
Show child attributes
Show child attributes
Grouping dimension for dimension-aware histograms. Used by the
/api/logs/histogram/{cost,tokens,latency}/by-dimension endpoints.
provider, team_id, customer_id, user_id, business_unit_id Was this page helpful?

